> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ledger



## OpenAPI

````yaml /api-reference/openapi.json get /v1/billing/ledger
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/billing/ledger:
    get:
      tags:
        - Billing
      summary: Ledger
      operationId: apps_billing_api_ledger
      parameters:
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LedgerPage'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    LedgerPage:
      properties:
        data:
          items:
            $ref: '#/components/schemas/LedgerOut'
          title: Data
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - data
        - next_cursor
      title: LedgerPage
      type: object
    LedgerOut:
      properties:
        amount:
          title: Amount
          type: number
        balance_after:
          title: Balance After
          type: number
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: integer
        reason:
          title: Reason
          type: string
        reference:
          title: Reference
          type: string
      required:
        - id
        - amount
        - balance_after
        - reason
        - reference
        - created_at
      title: LedgerOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.